// PortSheet.cpp : implementation file
//

#include "stdafx.h"
#include "Serial758UI.h"
#include "PortSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPortSheet

IMPLEMENT_DYNAMIC(CPortSheet, CPropertySheet)

CPortSheet::CPortSheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

CPortSheet::CPortSheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
}

CPortSheet::~CPortSheet()
{
}


BEGIN_MESSAGE_MAP(CPortSheet, CPropertySheet)
	//{{AFX_MSG_MAP(CPortSheet)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPortSheet message handlers

BOOL CPortSheet::OnInitDialog() 
{
	//when the port property sheet is first opened, name the tabs port1,port2 etc.

	BOOL bResult = CPropertySheet::OnInitDialog();
	
	CString str;
	CTabCtrl *ptab=GetTabControl();
	TCITEM tcItem;
	int temp;

   for(int i=0;i<8;i++)//for all the eight tabs give the title as port1,port2 etc
   {
	   temp=i+1;
	   str.Format("Port%d",temp);
	   tcItem.mask = TCIF_TEXT;
	   tcItem.pszText = str.GetBuffer(10);

	 //  Set the item in the tab control.
		ptab->SetItem(i, &tcItem);
   }


	return bResult;
}
