// Test.h: interface for the CTest class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEST_H__4A098040_088B_11D4_856B_C32C68AB0042__INCLUDED_)
#define AFX_TEST_H__4A098040_088B_11D4_856B_C32C68AB0042__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Test.h"
#include "Port.h"

#define MAXPORTS 8

class CTest  
{
public:
	void On_TestStop();
	void On_TestStart();
	void On_SendPendingBytes(int Index);
	
	
	void On_UpdateStatus(int,bool,bool,bool,bool);
	void On_RxBegin(int nIndex);
	void On_ClosePorts(int nIndex);
	void On_OpenPorts(int nIndex);
	void OnStop(int nIndex);
	void On_RxEnd(int nIndex);
	bool CompareTest_CurrentTime();

	int m_nTxIndex;
	int m_nRxIndex;

	CPort m_TestPort[MAXPORTS];
	
	/*struct Test
	{
		int nTotalTestTime;
		int nErrCount;
		int nLineCount;
		bool bTestStop;
	};

	Test m_Test[MAXPORTS];*/
	//CTest m_Test[MAXPORTS];

	void AddLineRx(int nIndex);
	void AddLineTx(CString strTx,int Index);
	void On_ErrorChecking(int nNoneRx);
	void OnWrite_Data(int Index);
	void OnRun(int nIndex);
	CTest();
	virtual ~CTest();

};

#endif // !defined(AFX_TEST_H__4A098040_088B_11D4_856B_C32C68AB0042__INCLUDED_)
