//this is a thread function which reads the port and calls the AddLineRx function 
//to add to the display and do error checking.It uses a overlapped waitcommevent which
//waits indefinitely for a RXCHAR event. If the Incompleteread is set then the thread 
//waits for 5 secs to receive the remaining packet. If not received by this time, then 
//next packet is sent.

#include "stdafx.h"
#include "ReadStatusCommThread.h"
#include "Port.h"
#include "Test.h"
#include "Status.h"
#include "GlobalVar.h"

#define WM_USER_DONE WM_USER+1

extern TESTSTRUCT m_ParTest[MAXPORTS];

extern ERRCHECKSTRUCT m_structErrChecking[MAXPORTS];

UINT ReadStatusCommFunc(LPVOID pParam)
{
	ReadThreadInfo* pReadInfo=(ReadThreadInfo*)pParam;

	CPort ThreadPort;

	CTest m_Test;
	DWORD dwEventMask;
	unsigned char RxData[500];
	int count=0;
	bool bret,bPending=FALSE;
	

	bool* pProceed=pReadInfo->bContinueFlag;
	int* pBytes=pReadInfo->nBytes;
	int nIndex=pReadInfo->nIndex;

	OVERLAPPED osStatus = {0};  // overlapped structure for write operations
	HANDLE hStatus;
	// create this writes overlapped structure hEvent
    //
    osStatus.hEvent = CreateEvent(NULL, TRUE, FALSE, NULL);
	hStatus = osStatus.hEvent;	
	//DWORD dwModemStatus;
	//bool fCTS, fDSR, fRING, fRLSD;
	
	HANDLE PortHandle=pReadInfo->hPortHandle;//get the port handle	
	ThreadPort.SetHandle(PortHandle);

	SetCommMask(PortHandle,EV_RXCHAR);//set the event to RXCHAR

	while(*pProceed)
	{				
		//m_Test.On_RxEnd(nIndex);
		dwEventMask=0;

		WaitCommEvent(PortHandle,&dwEventMask,&osStatus);

		/*if(!m_structErrChecking[nIndex].bInCompleteRead)
		{*/
			if(WaitForSingleObject(hStatus,INFINITE) == WAIT_OBJECT_0)//wait infinitely
				bPending=TRUE;
			else//waitevent failed
			{
				bPending=FALSE;
				AfxGetMainWnd()->MessageBox("WaitForSingleObject Failed","Error",MB_OK|MB_ICONEXCLAMATION);
			}
	//	}
	/*	else//if the number of bytes read previously was not equal to the bytes written
		{
			if(WaitForSingleObject(hStatus,5000) == WAIT_OBJECT_0)
				bPending=TRUE;
			else
			{
				bPending=FALSE;
				m_structErrChecking[nIndex].ntempReadBytes=0;//reset
				m_structErrChecking[nIndex].bInCompleteRead=FALSE;//reset
				m_ParTest[nIndex].nErrCount++;
				m_Test.On_ErrorChecking(0);
			}		
		}	*/
		
		//GetCommModemStatus(PortHandle, &dwModemStatus);
		
		//fCTS =(MS_CTS_ON & dwModemStatus) ? TRUE : FALSE ;
		//fDSR =(MS_DSR_ON & dwModemStatus) ? TRUE : FALSE ;
		//fRING =(MS_RING_ON & dwModemStatus) ? TRUE : FALSE ;
		//fRLSD =(MS_RLSD_ON & dwModemStatus) ? TRUE : FALSE ;

		//m_Test.On_UpdateStatus(nIndex,fCTS,fDSR,fRING,fRLSD);

		if(bPending)
		{
			if((dwEventMask & EV_RXCHAR) == (EV_RXCHAR))
			{
				
				//DWORD dwdelay=GetTickCount()+100;//wait for 150ms for all the alphabet characters to come at one read only
				//while(GetTickCount()<dwdelay);//by the primary thread
				
			//	m_Test.On_RxBegin(nIndex);
				
				bret=ThreadPort.ReadPort(RxData,&count);//read the port the received
				//array is in RxData and the 
				//no. of bytes received in count
				
				if((bret) && (count))
				{
					pReadInfo->pReadArray=RxData;//now m_pArray is pointing to Rx Data
					*pBytes=count;
					
					m_Test.AddLineRx(nIndex);
				}
				
			}//end of if event==RX_CHAR
		}//if bPending is TRUE
		
   }//end of main while loop
	
	PostMessage(pReadInfo->hNotifyUpdate,WM_USER_DONE,nIndex,0);//message  that thread is terminating
	CloseHandle(osStatus.hEvent);
	return 0;
}

